"use strict";

ui.Mappings.EpgDescriptionItems = function(context, event){
    UIMiniFramework.CustomComponents.Context.call(this, context);

    this.template = UIMiniFramework.Templates.infoModule;
    this.items = [
        new UIMiniFramework.CustomComponents.Label(
            'title',
            event.name + ' ' + '(' + event.startdt.substr(11, 5) + ' - ' + event.enddt.substr(11, 5) + ')',
            ''
        ),
        new UIMiniFramework.CustomComponents.Label(
            'type',
            UIMiniFramework.Translations.type[UIMiniFramework.Globals.language] + ':',
            event.genre
        ),
        new UIMiniFramework.CustomComponents.Label(
            'age',
            UIMiniFramework.Translations.age[UIMiniFramework.Globals.language] + ':',
            event.parental == 0 ? '-' : event.parental
        ),
        new UIMiniFramework.CustomComponents.Label(
            'language',
            UIMiniFramework.Translations.language[UIMiniFramework.Globals.language] + ':',
            UIMiniFramework.Tools.getIsoLanguageTranslation(event.language)
        ),
        new UIMiniFramework.CustomComponents.ScrollableText(
            'description',
            '',
            event.extendedDescription.replace(/\r\n|\r|\n/g, "<br>"),
            //UIMiniFramework.Tools.getLoremIpsum(0).replace(/\r\n|\r|\n/g, "<br>"),
            true
        )
    ]
};

UIMiniFramework.Tools.inheritPrototype(ui.Mappings.EpgDescriptionItems, UIMiniFramework.CustomComponents.Context);